Package ch.qos.logback.core.net.ssl

# Class SSLConfigurableServerSocket

java.lang.Object
ch.qos.logback.core.net.ssl.SSLConfigurableServerSocket

All Implemented Interfaces:
  `SSLConfigurable`

public class SSLConfigurableServerSocket extends Object implements SSLConfigurable
An `SSLConfigurable` wrapper for an `SSLServerSocket`.

Author:
  Carl Harris, Bruno Harbulot

## Constructor Summary

Constructors
Constructor
Description
`SSLConfigurableServerSocket(SSLServerSocket delegate)`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getDefaultCipherSuites()`
Gets the set of cipher suites that the SSL component enables by default.
`String[]`
`getDefaultProtocols()`
Gets the set of protocols that the SSL component enables by default.
`String[]`
`getSupportedCipherSuites()`
Gets the set of cipher suites that the SSL component supports.
`String[]`
`getSupportedProtocols()`
Gets the set of protocols that the SSL component supports.
`void`
`setEnabledCipherSuites(String[] suites)`
Sets the enabled cipher suites on the SSL component.
`void`
`setEnabledProtocols(String[] protocols)`
Sets the enabled protocols on the SSL component.
`void`
`setHostnameVerification(boolean verifyHostname)`
`void`
`setNeedClientAuth(boolean state)`
Sets a flag indicating whether the SSL component should require client authentication.
`void`
`setWantClientAuth(boolean state)`
Sets a flag indicating whether the SSL component should request client authentication.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SSLConfigurableServerSocket

public SSLConfigurableServerSocket(SSLServerSocket delegate)

## Method Details

### getDefaultProtocols

public String[] getDefaultProtocols()
Description copied from interface: `SSLConfigurable`
Gets the set of protocols that the SSL component enables by default.

Specified by:
  `getDefaultProtocols` in interface `SSLConfigurable`
Returns:
  protocols (generally a subset of the set returned by `SSLConfigurable.getSupportedProtocols()`); the return value may be an empty array but must never be `null`.

### getSupportedProtocols

public String[] getSupportedProtocols()
Description copied from interface: `SSLConfigurable`
Gets the set of protocols that the SSL component supports.

Specified by:
  `getSupportedProtocols` in interface `SSLConfigurable`
Returns:
  protocols supported protocols; the return value may be an empty array but must never be `null`.

### setEnabledProtocols

public void setEnabledProtocols(String[] protocols)
Description copied from interface: `SSLConfigurable`
Sets the enabled protocols on the SSL component.

Specified by:
  `setEnabledProtocols` in interface `SSLConfigurable`

### getDefaultCipherSuites

public String[] getDefaultCipherSuites()
Description copied from interface: `SSLConfigurable`
Gets the set of cipher suites that the SSL component enables by default.

Specified by:
  `getDefaultCipherSuites` in interface `SSLConfigurable`
Returns:
  cipher suites (generally a subset of the set returned by `SSLConfigurable.getSupportedCipherSuites()`); the return value may be an empty array but must never be `null`

### getSupportedCipherSuites

public String[] getSupportedCipherSuites()
Description copied from interface: `SSLConfigurable`
Gets the set of cipher suites that the SSL component supports.

Specified by:
  `getSupportedCipherSuites` in interface `SSLConfigurable`
Returns:
  supported cipher suites; the return value may be an empty array but must never be `null`

### setEnabledCipherSuites

public void setEnabledCipherSuites(String[] suites)
Description copied from interface: `SSLConfigurable`
Sets the enabled cipher suites on the SSL component.

Specified by:
  `setEnabledCipherSuites` in interface `SSLConfigurable`
Parameters:
  `suites` - the cipher suites to enable

### setNeedClientAuth

public void setNeedClientAuth(boolean state)
Description copied from interface: `SSLConfigurable`
Sets a flag indicating whether the SSL component should require client authentication.

Specified by:
  `setNeedClientAuth` in interface `SSLConfigurable`
Parameters:
  `state` - the flag state to set

### setWantClientAuth

public void setWantClientAuth(boolean state)
Description copied from interface: `SSLConfigurable`
Sets a flag indicating whether the SSL component should request client authentication.

Specified by:
  `setWantClientAuth` in interface `SSLConfigurable`
Parameters:
  `state` - the flag state to set

### setHostnameVerification

public void setHostnameVerification(boolean verifyHostname)

Specified by:
  `setHostnameVerification` in interface `SSLConfigurable`